# The Red Matrix: include/comanche.php File Reference

All Classes Namespaces Files Functions Variables Pages
comanche.php File Reference

## Functions

| pdl_selector ($uid, $current="")
| comanche_parser (&$a, $s)
| comanche_menu ($name, $class= '')
| comanche_replace_region ($match)
| comanche_get_channel_id ()
| comanche_block ($name)
| comanche_webpage (&$a, $s)
| comanche_widget ($name, $text)
| comanche_region (&$a, $s)
| register_page_template ($arr)

## Function Documentation

comanche_block | ( |  | $name | ) |

Referenced by comanche_region(), and profile_sidebar().

comanche_get_channel_id | ( |  | ) |

comanche_get_channel_id() Returns the channel_id of the profile owner of the page, or the local_user if there is no profile owner. Otherwise returns 0

Referenced by comanche_block(), comanche_menu(), and construct_page().

comanche_menu | ( |  | $name,
|  |  | $class = `''`
| ) |  |

Referenced by comanche_region().

comanche_parser | ( | & | $a,
|  |  | $s
| ) |  |

Referenced by construct_page(), and page_content().

comanche_region | ( | & | $a,
|  |  | $s
| ) |  |

Referenced by comanche_parser().

comanche_replace_region | ( |  | $match | ) |

comanche_webpage | ( | & | $a,
|  |  | $s
| ) |  |

Referenced by comanche_parser().

comanche_widget | ( |  | $name,
|  |  | $text
| ) |  |

Referenced by comanche_region().

pdl_selector | ( |  | $uid,
|  |  | $current = `""`
| ) |  |

register_page_template | ( |  | $arr | ) |